VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FileRepoPage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public PrintEntry As Collection
Public DefColor As Long
Public DefFontName As String
Public DefFontSize As Integer
Public DefFontBold As Boolean


Private Sub Class_Initialize()
Set PrintEntry = New Collection
DefColor = vbBlue
DefFontName = "Ariel"
DefFontSize = 10
DefFontBold = False
End Sub

Private Sub Class_Terminate()
Set PrintEntry = Nothing
End Sub


Public Sub Refresh()
Set PrintEntry = Nothing
Set PrintEntry = New Collection
End Sub

Public Property Get EntryCount() As Integer
    EntryCount = PrintEntry.Count
End Property


Public Sub Draw(APicture As Object)
Dim i As Integer
Dim Pobj As Object
Dim apict As PictureBox
 Set apict = APicture
   Call SetTextColor(APicture.hdc, DefColor)
   'apict.Fontname = DefFontName
   'apict.FontSize = DefFontSize
   'apict.FontBold = DefFontBold
  
For i = 1 To PrintEntry.Count
Set Pobj = PrintEntry.Item(i)
Pobj.Draw apict
Next

End Sub


Public Sub ToPrint()
Dim i As Integer
Dim Pobj As Object
   ' Printer.Color = DefColor
   Printer.Fontname = DefFontName
   Printer.FontSize = DefFontSize
   Printer.FontBold = DefFontBold

For i = 1 To PrintEntry.Count
  Set Pobj = PrintEntry.Item(i)
  Pobj.ToPrint
Next

End Sub


Public Sub Fontname(Aname As String)
Dim Aobj As RpFontNm
Set Aobj = New RpFontNm
Aobj.Fontname = Aname
Call PrintEntry.Add(Aobj)
End Sub


Public Sub FontSize(Asize As Integer)
Dim Aobj As RpFontSz
Set Aobj = New RpFontSz
Aobj.FontSize = Asize
Call PrintEntry.Add(Aobj)
End Sub


Public Sub FontBold(Abool As Boolean)
Dim Aobj As RpFontBo
Set Aobj = New RpFontBo
Aobj.FontBold = Abool
Call PrintEntry.Add(Aobj)
End Sub


Public Sub FontItalic(Abool As Boolean)
Dim Aobj As RpFontIt
Set Aobj = New RpFontIt
Aobj.FontItalic = Abool
Call PrintEntry.Add(Aobj)
End Sub


Public Sub FontUnderline(Abool As Boolean)
Dim Aobj As RpFontUn
Set Aobj = New RpFontUn
Aobj.FontUnderline = Abool
Call PrintEntry.Add(Aobj)
End Sub

Public Sub SetColor(Acolor As Long)
Dim Aobj As rpcolor
Set Aobj = New rpcolor
Aobj.Mcolor = Acolor
Call PrintEntry.Add(Aobj)
End Sub


Public Sub FillStyle(Astyle As Integer)
Dim Aobj As RpFillstl
Set Aobj = New RpFillstl
Aobj.FillStyle = Astyle
Call PrintEntry.Add(Aobj)
End Sub

Public Sub TextOut(arow, acol As Double, Atext As String)
Dim Aobj As RpText
Set Aobj = New RpText
Aobj.Row = arow
Aobj.Col = acol
Aobj.Pmt = Atext
Call PrintEntry.Add(Aobj)
End Sub

Public Sub Lineto(arow As Double, acol As Double)
Dim Aobj As RpLineTo
Set Aobj = New RpLineTo
Aobj.Row = arow
Aobj.Col = acol
Call PrintEntry.Add(Aobj)
End Sub
Public Sub Moveto(arow As Double, acol As Double)
Dim Aobj As RpMoveto
Set Aobj = New RpMoveto
Aobj.Row = arow
Aobj.Col = acol
Call PrintEntry.Add(Aobj)
End Sub

Public Sub Rect(At, Al, Ab, Ar As Double)
Dim Aobj As RpRect
Set Aobj = New RpRect
Aobj.At = At
Aobj.Al = Al
Aobj.Ab = Ab
Aobj.Ar = Ar
Call PrintEntry.Add(Aobj)
End Sub

Public Sub SetPenWidth(awidth As Integer)
Dim Aobj As RpPenwi
Set Aobj = New RpPenwi
Aobj.PenWidth = awidth
Call PrintEntry.Add(Aobj)
End Sub

Public Sub WritetoFile(Afile As CoMFileRepo)
Dim i As Integer
Dim Aobj As Object
    Call Afile.WriteInt(PrintEntry.Count)
    For i = 1 To PrintEntry.Count
    Set Aobj = PrintEntry.Item(i)
    Call Aobj.WritetoFile(Afile)
Next
  
End Sub

Public Sub ReadFromFile(Afile As CoMFileRepo)
Dim i As Integer
Dim cnt As Integer
cnt = Afile.ReadInt
Refresh
For i = 1 To cnt
  Call loadobject(Afile)
Next
End Sub

Public Sub loadobject(Afile As CoMFileRepo)
Dim i As Integer
Dim Aobj As Object


  i = Afile.ReadInt
  
  Select Case i
  
  Case 1
    Set Aobj = New rpcolor
  Case 2
    Set Aobj = New RpFillstl
  Case 3
  Set Aobj = New RpFontBo
  Case 4
  Set Aobj = New RpFontIt
  Case 5
  Set Aobj = New RpFontNm
  Case 6
  Set Aobj = New RpFontSz
  Case 7
  Set Aobj = New RpFontUn
  Case 8
  Set Aobj = New RpLineTo
  Case 9
  Set Aobj = New RpMoveto
  Case 10
  Set Aobj = New RpPenwi
  Case 11
  Set Aobj = New RpRect
  Case 12
  Set Aobj = New RpText
  
   Case Else
    Set Aobj = New RpNothing
  
  End Select
    Call Aobj.ReadFromFile(Afile)
    Call PrintEntry.Add(Aobj)
    

End Sub


