VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "RpPages"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Dim Pages As Collection
Public DefColor As Long
Public DefFontName As String
Public DefFontSize As Integer
Public DefFontBold As Boolean



Public Property Get PageCount() As Integer
    PageCount = Pages.Count
End Property


Private Sub Class_Initialize()
Dim Page As Collection
Set Pages = New Collection
Set Page = New Collection
Pages.Add Page
DefColor = vbBlue
DefFontName = "Ariel"
DefFontSize = 10
DefFontBold = False

End Sub

Private Sub Class_Terminate()
Set Pages = Nothing
End Sub

Public Sub Refresh()
Dim Page As Collection
Set Pages = Nothing
Set Pages = New Collection
Set Page = New Collection
Pages.Add Page
End Sub
Public Sub Draw(APicture As PictureBox, Apage As Integer)
Dim i As Integer
Dim Pobj As Object

Dim Page As Collection

Set Page = Pages.Item(Apage)
   Call SetTextColor(APicture.hdc, DefColor)
  
'  APicture.Fontname = DefFontName
   APicture.FontSize = DefFontSize
   APicture.FontBold = DefFontBold
   
   
   
   
For i = 1 To Page.Count
 
Set Pobj = Page.Item(i)

Pobj.Draw APicture

Next

End Sub


Public Sub ToPrint(Apage As Integer)

Dim i As Integer
Dim Pobj As Object
Dim Page As Collection

Set Page = Pages.Item(Apage)
   ' Printer.Color = DefColor
   Printer.Fontname = DefFontName
   Printer.FontSize = DefFontSize
   Printer.FontBold = DefFontBold
   

For i = 1 To Page.Count
  Set Pobj = Page.Item(i)
  Pobj.ToPrint
Next

End Sub

Public Sub NewPage()
Dim Page As Collection
Set Page = New Collection
Pages.Add Page
End Sub

Public Sub Fontname(Aname As String)
Dim Aobj As RpFontNm
Dim Page As Collection
Set Aobj = New RpFontNm
Set Page = Pages.Item(Pages.Count)
Aobj.Fontname = Aname
Page.Add Aobj
End Sub


Public Sub FontSize(Asize As Integer)
Dim Aobj As RpFontSz
Dim Page As Collection
Set Aobj = New RpFontSz
Set Page = Pages.Item(Pages.Count)
Aobj.FontSize = Asize
Page.Add Aobj
End Sub


Public Sub FontBold(Abool As Boolean)
Dim Aobj As RpFontBo
Dim Page As Collection
Set Aobj = New RpFontBo
Set Page = Pages.Item(Pages.Count)
Aobj.FontBold = Abool
Page.Add Aobj
End Sub


Public Sub FontItalic(Abool As Boolean)

Dim Aobj As RpFontIt
Dim Page As Collection
Set Aobj = New RpFontIt
Set Page = Pages.Item(Pages.Count)
Aobj.FontItalic = Abool
Page.Add Aobj
End Sub


Public Sub FontUnderline(Abool As Boolean)

Dim Aobj As RpFontUn
Dim Page As Collection
Set Aobj = New RpFontUn
Set Page = Pages.Item(Pages.Count)
Aobj.FontUnderline = Abool
Page.Add Aobj
End Sub

Public Sub SetColor(Acolor As Long)
Dim Aobj As rpcolor
Dim Page As Collection
Set Aobj = New rpcolor
Set Page = Pages.Item(Pages.Count)
Aobj.Mcolor = Acolor
Page.Add Aobj
End Sub


Public Sub FillStyle(Astyle As Integer)

Dim Aobj As RpFillstl
Dim Page As Collection
Set Aobj = New RpFillstl
Set Page = Pages.Item(Pages.Count)
Aobj.FillStyle = Astyle
Page.Add Aobj

End Sub

Public Sub TextOut(arow, acol As Double, Atext As String)

Dim Aobj As RpText
Dim Page As Collection
Set Aobj = New RpText
Set Page = Pages.Item(Pages.Count)
Aobj.Row = arow
Aobj.Col = acol
Aobj.Pmt = Atext
Page.Add Aobj
End Sub

Public Sub Lineto(arow As Double, acol As Double)
Dim Aobj As RpLineTo
Dim Page As Collection
Set Aobj = New RpLineTo
Set Page = Pages.Item(Pages.Count)
Aobj.Row = arow
Aobj.Col = acol
Page.Add Aobj

End Sub
Public Sub Moveto(arow As Double, acol As Double)
Dim Aobj As RpMoveto
Dim Page As Collection
Set Aobj = New RpMoveto
Set Page = Pages.Item(Pages.Count)
Aobj.Row = arow
Aobj.Col = acol
Page.Add Aobj
End Sub

Public Sub Rect(At, Al, Ab, Ar As Double)
Dim Aobj As RpRect
Dim Page As Collection
Set Aobj = New RpRect
Set Page = Pages.Item(Pages.Count)
Aobj.At = At
Aobj.Al = Al
Aobj.Ab = Ab
Aobj.Ar = Ar
Page.Add Aobj
End Sub

Public Sub SetPenWidth(awidth As Integer)
Dim Aobj As RpPenwi
Dim Page As Collection
Set Aobj = New RpPenwi
Set Page = Pages.Item(Pages.Count)
Aobj.PenWidth = awidth
Page.Add Aobj
End Sub



