VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FileHeader"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Public Signature As String
Public FooterOffset As Long
Public TotalPages As Long
Public Version As Integer
Public Valid As Boolean

Const SIGNATUREVARIFICATION = "Run SoftWare Report File "

Private Sub Class_Initialize()
Signature = SIGNATUREVARIFICATION
FooterOffset = 0
TotalPages = 0
Version = 1
Valid = False

End Sub

Public Sub ReadFromFile(Afile As CoMFileRepo)
Dim i As Integer
Valid = False
Call Afile.Seek(0)
Signature = Afile.ReadStr
If Signature <> SIGNATUREVARIFICATION Then
 Exit Sub
End If
i = Afile.ReadInt
FooterOffset = Afile.ReadLong
TotalPages = Afile.ReadLong
Version = Afile.ReadInt
Valid = True

End Sub
Public Sub WritetoFile(Afile As CoMFileRepo)
Call Afile.Seek(0)
Call Afile.WriteStr(Signature)
Call Afile.WriteInt(26)
Call Afile.WriteLong(FooterOffset)
Call Afile.WriteLong(TotalPages)
Call Afile.WriteInt(Version)
End Sub
