VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FileRepoReader"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Public Header As FileHeader
Public Fo As Footer
Public Page As FileRepoPage
Dim Ffile As CoMFileRepo
Dim Ffilename As String
Dim FOpen  As Boolean
Dim CurrentPageOffset As Long
Dim CurrentPageSize As Long
Dim CurrentFooterEntry As Long
Dim currentpage As Integer

Private Sub Class_Initialize()
   Set Header = New FileHeader
   Set Page = New FileRepoPage
   Set Fo = New Footer
   Set Ffile = New CoMFileRepo
   FOpen = False
   CurrentPageOffset = 0
   CurrentPageSize = 0
   CurrentFooterEntry = 0
   currentpage = 0
End Sub

Private Sub Class_Terminate()
   Set Header = Nothing
   Set Fo = Nothing
   Set Page = Nothing
   Set Ffile = Nothing

End Sub

Public Sub RefreshPage()
    Page.Refresh
End Sub

Public Property Get Filename() As String
      Filename = Ffilename
End Property

Public Property Let Filename(ByVal vNewValue As String)
  If Not FOpen Then
      Ffilename = vNewValue
  End If
End Property


Public Sub OpenFile()
Dim i  As Integer
If FOpen Then
   Exit Sub
End If
     
        FOpen = True
        Ffile.Filename = Ffilename
        Ffile.Open
        Call Header.ReadFromFile(Ffile)
        If Not Header.Valid Then
            MsgBox "Invalid File "
            Exit Sub
        End If
   
        Call Ffile.Seek(Header.FooterOffset)
        Call Fo.ReadFromFile(Ffile)
        currentpage = 1
        OpenPage (1)
End Sub

Public Sub OpenPage(Apageno As Integer)
        CurrentPageOffset = Fo.Foot(Apageno).Pageoffset
        Set Page = Nothing
        Set Page = New FileRepoPage
        Call Ffile.Seek(CurrentPageOffset)
        Call Page.ReadFromFile(Ffile)
End Sub


Public Sub CloseFile()
    Ffile.Close
End Sub

Public Sub Draw(Apict As Object)
    Call Page.Draw(Apict)
End Sub

Public Sub ToPrint()
    Page.ToPrint
End Sub

